#pragma once

#include <atlbase.h>
#include "xmllite.h"

class CGSXmlWriter
{
public:
	CGSXmlWriter(void);
public:
	~CGSXmlWriter(void);
public:
	HRESULT Initialize(LPCTSTR lpFileName);
	bool WriteProcessingInstruction (LPCTSTR lpName, LPCTSTR lpText);
public:
	int Write(void);

    CComPtr<IStream> pOutFileStream;
    CComPtr<IXmlWriter> pWriter;
	 bool WriteStartElement(LPCTSTR lpName);
	 bool WriteFullEndElement(void);
	 bool Close(void);

public:
	bool WriteElementValue(LPCTSTR lpName, LPCTSTR lpValue);
	bool WriteElementValue(LPCTSTR lpName, int value);
	bool WriteElementValue(LPCTSTR lpName, long value);
	bool WriteElementValue(LPCTSTR lpName, DWORD value);
	bool WriteElementValue(LPCTSTR lpName, short value);
	bool WriteElementValue(LPCTSTR lpName, float value);
	bool WriteElementValue(LPCTSTR lpName, double value);
};
