// 852LicGenDlg.h : header file
//

#pragma once
#include "afxcmn.h"
#include "C852lg.h"
#include "GesyDongle.h"


// CMy852LicGenDlg dialog
class CMy852LicGenDlg : public CResizableDialog
{
// Construction
public:
	CMy852LicGenDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_MY852LICGEN_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	BYTE m_totalCount;
	BYTE m_leftCount;
	afx_msg void OnBnClickedGenerate();
	CListCtrl m_listCtrl;
	afx_msg void OnDestroy();
	C852LG m_dataLG;
	CGesyDongle m_dongle;
	void FillData(void);
	void EnableControls(void);
	CString m_dongleDesc;
	afx_msg void OnBnClickedXmlExport();
	void XmlExport(LPCTSTR lpPath);
};
