#pragma once

#include "neuronbase.h"
#include "GesyAppProtectionOffline.h"
#include "GSDongles.h"


class CData852LG : public CGSDongles
{
public:
	CData852LG(void);
	~CData852LG(void);
	BYTE GetTotalCount(void);
	BYTE GetLeftCount(void);

	CGSNeuronID GetNeuronID(int index);
	CMACAddr	GetMacAddress(int index);
	CString		GetKey(int index);
	void		SetMacAddress(int index, CMACAddr macAddr);

protected:
	CGSNeuronID m_baseNID;
	BYTE		m_totalCount;
public:
	void SetBaseNeuronID(CGSNeuronID& nid);
	CString GenerateKey(CGSNeuronID nid, CMACAddr macAddr);
	int GetFirstUnusedIndex(void);
public:
	CGSNeuronID GetNextUnusedNeuronID(void);
	void Init(void);
};
