// LicenceDlg.cpp : implementation file
//

#include "stdafx.h"
#include "852LicGen.h"
#include "LicenceDlg.h"
#include "C852lg.h"


// CLicenceDlg dialog

IMPLEMENT_DYNAMIC(CLicenceDlg, CDialog)

CLicenceDlg::CLicenceDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLicenceDlg::IDD, pParent)
	, m_nidString(_T(""))
	, m_macString(_T(""))
{
}

CLicenceDlg::~CLicenceDlg()
{
}

void CLicenceDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_NID, m_nidString);
	DDX_Text(pDX, IDC_MAC, m_macString);
	DDV_MaxChars(pDX, m_macString, 12);
	DDX_Control(pDX, IDC_MAC, m_macCtrl);
}


BEGIN_MESSAGE_MAP(CLicenceDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CLicenceDlg::OnBnClickedOk)
END_MESSAGE_MAP()


// CLicenceDlg message handlers

void CLicenceDlg::OnBnClickedOk()
{
	UpdateData(TRUE);

	if (m_macString.GetLength() != 12)
	{
		AfxMessageBox(IDS_MAC_MUST_BE_HEX);
		return;
	}

	if (!chkHex(m_macString))
	{
		AfxMessageBox(IDS_MAC_MUST_BE_HEX);
		return;
	}

	// RM - 1.8.2016 auskommentiert 
	/* 
	CMACAddr mac(m_macString);

	if (IsVMwareMAC(mac))
	{
		AfxMessageBox(IDS_NO_VMWARE);
		return;
	}

	if (IsMSLoopback(mac))
	{
		AfxMessageBox(IDS_NO_MSLOOPBACK);
		return;
	}
	*/

	OnOK();
}
